XML-RPC Functions

## Functions

auto | Qore::Xml::get_xml_value (auto n)
| Helper function returning an XML value. More...
string | Qore::Xml::makeFormattedXMLRPCCallString (string method,...)
| Serializes the argument into an XML string in XML-RPC call format with whitespace formatting. More...
string | Qore::Xml::makeFormattedXMLRPCCallStringArgs (string method, any argv)
| Serializes the argument into an XML string in XML-RPC call format with whitespace formatting. More...
string | Qore::Xml::makeFormattedXMLRPCCallStringArgsWithEncoding (string encoding, string method, any argv)
| Serializes the argument into an XML string in XML-RPC call format with whitespace formatting. More...
string | Qore::Xml::makeFormattedXMLRPCCallStringWithEncoding (string encoding, string method,...)
| Serializes the argument into an XML string in XML-RPC call format with whitespace formatting with an explicit encoding. More...
string | Qore::Xml::makeFormattedXMLRPCFaultResponseString (softint code, string msg)
| Serializes the argument into an XML string in XML-RPC fault response format with whitespace formatting. More...
string | Qore::Xml::makeFormattedXMLRPCFaultResponseStringWithEncoding (string encoding, softint code, string msg)
| Serializes the argument into an XML string in XML-RPC fault response format with whitespace formatting with an explicit output encoding. More...
string | Qore::Xml::makeFormattedXMLRPCResponseString (...)
| Serializes the arguments into an XML string formatted for an XML-RPC response with whitespace formatting. More...
string | Qore::Xml::makeFormattedXMLRPCResponseStringWithEncoding (string encoding,...)
| Serializes the arguments into an XML string formatted for an XML-RPC response with whitespace formatting and with an explicit output encoding. More...
*string | Qore::Xml::makeFormattedXMLRPCValueString (any value, *string encoding)
| Serializes the arguments into an XML string in XML-RPC value format with whitespace formatting but without an XML header. More...
string | Qore::Xml::makeXMLRPCCallString (string method,...)
| Serializes the argument into an XML string in XML-RPC call format without whitespace formatting. More...
string | Qore::Xml::makeXMLRPCCallStringArgs (string method, any args)
| Serializes the argument into an XML string in XML-RPC call format without whitespace formatting. More...
string | Qore::Xml::makeXMLRPCCallStringArgsWithEncoding (string encoding, string method, any args)
| Serializes the argument into an XML string in XML-RPC call format without whitespace formatting with an explicit encoding. More...
string | Qore::Xml::makeXMLRPCCallStringWithEncoding (string encoding, string method,...)
| Serializes the argument into an XML string in XML-RPC call format without whitespace formatting with an explicit encoding. More...
string | Qore::Xml::makeXMLRPCFaultResponseString (softint code, string msg)
| Serializes the argument into an XML string in XML-RPC fault response format without whitespace formatting. More...
string | Qore::Xml::makeXMLRPCFaultResponseStringWithEncoding (string encoding, softint code, string msg)
| Serializes the argument into an XML string in XML-RPC fault response format without whitespace formatting with an explicit output encoding. More...
string | Qore::Xml::makeXMLRPCResponseString (...)
| Serializes the arguments into an XML string formatted for an XML-RPC response without whitespace formatting. More...
string | Qore::Xml::makeXMLRPCResponseStringWithEncoding (string encoding,...)
| Serializes the arguments into an XML string formatted for an XML-RPC response without whitespace formatting and with an explicit output encoding. More...
*string | Qore::Xml::makeXMLRPCValueString (any value, *string encoding)
| Serializes the arguments into an XML string in XML-RPC value format without whitespace formatting and without an XML header. More...
string | Qore::Xml::make_xmlrpc_call (string method, any args, *int flags, *string encoding)
| Serializes the argument into an XML string in XML-RPC call format. More...
string | Qore::Xml::make_xmlrpc_fault (softint code, string msg, *int flags, *string encoding)
| Serializes the argument into an XML string in XML-RPC fault response format without whitespace formatting. More...
string | Qore::Xml::make_xmlrpc_response (any call_args, *int flags, *string encoding)
| Serializes the arguments into an XML string formatted for an XML-RPC response without whitespace formatting. More...
*string | Qore::Xml::make_xmlrpc_value (any value, *int flags, *string encoding)
| Serializes the arguments into an XML string in XML-RPC value format without whitespace formatting and without an XML header. More...
hash | Qore::Xml::parseXMLRPCCall (string xml, *string encoding)
| Deserializies an XML-RPC call string, returning a Qore data structure representing the call information. More...
nothing | Qore::Xml::parseXMLRPCCall ()
| This is a variant that is basically a noop, included for backwards-compatibility for functions that ignored type errors in the calling parameters. More...
hash | Qore::Xml::parseXMLRPCResponse (string xml, *string encoding)
| Deserializies an XML-RPC response string, returning a Qore data structure representing the response information. More...
nothing | Qore::Xml::parseXMLRPCResponse ()
| This is a variant that is basically a noop, included for backwards-compatibility for functions that ignored type errors in the calling parameters. More...
any | Qore::Xml::parseXMLRPCValue (string xml, *string encoding)
| Deserializies an XML-RPC value string and returns a Qore data structure representing the information. More...
nothing | Qore::Xml::parseXMLRPCValue ()
| This is a variant that is basically a noop, included for backwards-compatibility for functions that ignored type errors in the calling parameters. More...
hash | Qore::Xml::parse_xmlrpc_call (string xml, *string encoding)
| Deserializies an XML-RPC call string, returning a Qore data structure representing the call information. More...
hash | Qore::Xml::parse_xmlrpc_response (string xml, *string encoding)
| Deserializies an XML-RPC response string, returning a Qore data structure representing the response information. More...
any | Qore::Xml::parse_xmlrpc_value (string xml, *string encoding)
| Deserializies an XML-RPC value string and returns a Qore data structure representing the information. More...

## Detailed Description

## Function Documentation

## get_xml_value()

auto Qore::Xml::get_xml_value | ( | auto | n | ) |

Helper function returning an XML value.

This function returns the actual value of a complex data structure as returned by parse_xml(). When parsing XML attributes or comments (ex: XPF_ADD_COMMENTS), then a hash is returned and the actual value of the XML appears under the `"^value^"` key. This function makes it easier to handle this situation by returning the value given if the argument is not a hash or has no `"^value^"` key, otherwise, if so, it returns the value assigned to the `"^value^"` key.
Note that only "^value^" is returned even when there are more values as result of XPF_PRESERVE_ORDER flag.

Code Flags:
  CONSTANT

Parameters

  n | a simple value or a complex hash as returned by parse_xml(); if the value is a hash with a `"^value^"` key, then the value of this key is processed, otherwise the argument itself is processed. If the resulting value is a list or a hash, then nothing is returned, otherwise the value is returned.

Example:
  string xml = "
  <elem attr="a1">
  <!-- comment -->
  My value
  <!-- comment 2 -->
  is split
  </elem>
  ";
  hash h = parse_xml(xml);
  string val = get_xml_value(xml.elem);

Since
  xml 1.4

## make_xmlrpc_call()

string Qore::Xml::make_xmlrpc_call | ( | string | method,
|  | any | args,
|  | *int | flags,
|  | *string | encoding
| ) |  |

Serializes the argument into an XML string in XML-RPC call format.

Code Flags:
  RET_VALUE_ONLY

Parameters

  method | the method name for the XML-RPC call
  args | a single argument or a list of arguments to the XML-RPC call
  flags | optional formatting flags; see XML Generation Constants for more information
  encoding | an optional string giving the encoding for the output XML string; if this parameter is missing, the output string will have the default encoding

Returns
  an XML string in XML-RPC call format in the default encoding, without whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

Example:
  string xmlcall = make_xmlrpc_call("omq.system.start-workflow", hash);

See also
  XML-RPC

Since
  xml 1.3 as a replacement for deprecated camel-case functions:
  - makeFormattedXMLRPCCallString()
  - makeFormattedXMLRPCCallStringArgs()
  - makeFormattedXMLRPCCallStringArgsWithEncoding()
  - makeFormattedXMLRPCCallStringWithEncoding()
  - makeXMLRPCCallString()
  - makeXMLRPCCallStringArgs()
  - makeXMLRPCCallStringArgsWithEncoding()
  - makeXMLRPCCallStringWithEncoding()

## make_xmlrpc_fault()

string Qore::Xml::make_xmlrpc_fault | ( | softint | code,
|  | string | msg,
|  | *int | flags,
|  | *string | encoding
| ) |  |

Serializes the argument into an XML string in XML-RPC fault response format without whitespace formatting.

Code Flags:
  CONSTANT

Parameters

  code | the fault code for the response; will be converted to an integer (stored under key `'faultCode'` as an int)
  msg | the fault message string; the encoding of this argument will define the output encoding of the fault string returned (stored under key `'faultString'` as a string)
  flags | optional formatting flags; see XML Generation Constants for more information
  encoding | an optional string giving the encoding for the output XML string; if this parameter is missing, the output string will have the default encoding

Returns
  a string in XML-RPC fault format in the same encoding as given by the msg argument, without whitespace formatting

Example:
  string response = make_xmlrpc_fault(500, errmsg);

See also
  XML-RPC

Since
  xml 1.3 as a replacement for deprecated camel-case functions:
  - makeXMLRPCFaultResponseString()
  - makeXMLRPCFaultResponseStringWithEncoding()
  - makeFormattedXMLRPCFaultResponseString()
  - makeFormattedXMLRPCFaultResponseStringWithEncoding()

## make_xmlrpc_response()

string Qore::Xml::make_xmlrpc_response | ( | any | call_args,
|  | *int | flags,
|  | *string | encoding
| ) |  |

Serializes the arguments into an XML string formatted for an XML-RPC response without whitespace formatting.

Any top-level arguments to the function will be serialized as the top-level params of the response message

Code Flags:
  RET_VALUE_ONLY

Parameters

  call_args | a single argument or a list of arguments that represent the XML-RPC response
  flags | optional formatting flags; see XML Generation Constants for more information
  encoding | an optional string giving the encoding for the output XML string; if this parameter is missing, the output string will have the default encoding

Returns
  a string in XML-RPC response format; the encoding of the resulting string will always be the default encoding

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

Example:
  string response = make_xmlrpc_response(answer);

See also
  XML-RPC

Since
  xml 1.3 as a replacement for deprecated camel-case functions:
  - makeFormattedXMLRPCResponseString()
  - makeFormattedXMLRPCResponseStringWithEncoding()
  - makeXMLRPCResponseString()
  - makeXMLRPCResponseStringWithEncoding()

## make_xmlrpc_value()

*string Qore::Xml::make_xmlrpc_value | ( | any | value,
|  | *int | flags,
|  | *string | encoding
| ) |  |

Serializes the arguments into an XML string in XML-RPC value format without whitespace formatting and without an XML header.

Code Flags:
  RET_VALUE_ONLY

Parameters

  value | the value to serialize to XML-RPC format
  encoding | an optional string giving the encoding for the output XML string; if this parameter is missing, the output string will have the default encoding
  flags | optional formatting flags; see XML Generation Constants for more information
  encoding | an optional string giving the encoding for the output XML string; if this parameter is missing, the output string will have the default encoding

Returns
  if the value argument is NOTHING, then NOTHING is returned, otherwise an XML string in XML-RPC value format without whitespace formatting and without an XML header is returned

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Since
  xml 1.3 as a replacement for deprecated camel-case makeXMLRPCValueString() and makeFormattedXMLRPCValueString()

## makeFormattedXMLRPCCallString()

string Qore::Xml::makeFormattedXMLRPCCallString | ( | string | method,
|  |  | ...
| ) |  |

Serializes the argument into an XML string in XML-RPC call format with whitespace formatting.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  method | the method name for the XML-RPC call
  ... | additional arguments are serialized according to the default XML-RPC serialization rules

Returns
  an XML string in XML-RPC call format in the default encoding, with whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCCallStringArgs()

string Qore::Xml::makeFormattedXMLRPCCallStringArgs | ( | string | method,
|  | any | argv
| ) |  |

Serializes the argument into an XML string in XML-RPC call format with whitespace formatting.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  method | the method name for the XML-RPC call
  argv | a single argument or a list of arguments to the call

Returns
  an XML string in XML-RPC call format in the default encoding, with whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCCallStringArgsWithEncoding()

string Qore::Xml::makeFormattedXMLRPCCallStringArgsWithEncoding | ( | string | encoding,
|  | string | method,
|  | any | argv
| ) |  |

Serializes the argument into an XML string in XML-RPC call format with whitespace formatting.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string
  method | the method name for the XML-RPC call
  argv | a single argument or a list of arguments to the call

Returns
  a string in XML-RPC call format in the encoding given by the first argument, with whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCCallStringWithEncoding()

string Qore::Xml::makeFormattedXMLRPCCallStringWithEncoding | ( | string | encoding,
|  | string | method,
|  |  | ...
| ) |  |

Serializes the argument into an XML string in XML-RPC call format with whitespace formatting with an explicit encoding.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string
  method | the method name for the XML-RPC call

Additional arguments are serialized according to the default XML-RPC serialization rules

Returns
  an XML string in XML-RPC call format in the encoding given by the first argument, with whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCFaultResponseString()

string Qore::Xml::makeFormattedXMLRPCFaultResponseString | ( | softint | code,
|  | string | msg
| ) |  |

Serializes the argument into an XML string in XML-RPC fault response format with whitespace formatting.

Code Flags:
  CONSTANT, DEPRECATED

Parameters

  code | the fault code for the response; will be converted to an integer (stored under key `'faultCode'` as an int)
  msg | the fault message string; the encoding of this argument will define the output encoding of the fault string returned (stored under key `'faultString'` as a string)

Returns
  a string in XML-RPC fault format in the same encoding as given by the msg argument, with whitespace formatting

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_fault(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCFaultResponseStringWithEncoding()

string Qore::Xml::makeFormattedXMLRPCFaultResponseStringWithEncoding | ( | string | encoding,
|  | softint | code,
|  | string | msg
| ) |  |

Serializes the argument into an XML string in XML-RPC fault response format with whitespace formatting with an explicit output encoding.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string
  code | the fault code for the response; will be converted to an integer (stored under key `'faultCode'` as an int)
  msg | the fault message string (stored under key `'faultString'` as a string)

Returns
  a string in XML-RPC fault format in the encoding given by the first argument, with whitespace formatting

Exceptions

  ENCODING-CONVERSION-ERROR | error converting message string to specified output encoding

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_fault(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCResponseString()

string Qore::Xml::makeFormattedXMLRPCResponseString | ( |  | ... | ) |

Serializes the arguments into an XML string formatted for an XML-RPC response with whitespace formatting.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  ... | any top-level arguments to the function will be serialized as the top-level params of the response message

Returns
  a string in XML-RPC response format with whitespace formatting; the encoding of the resulting string will always be the default encoding

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_response(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCResponseStringWithEncoding()

string Qore::Xml::makeFormattedXMLRPCResponseStringWithEncoding | ( | string | encoding,
|  |  | ...
| ) |  |

Serializes the arguments into an XML string formatted for an XML-RPC response with whitespace formatting and with an explicit output encoding.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string
  ... | any top-level arguments after the first argument will be serialized as the top-level params of the response message

Returns
  a string in XML-RPC response format with whitespace formatting; the encoding will be that given by the first argument

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_response(); camel-case function names were deprecated in xml 1.3

## makeFormattedXMLRPCValueString()

*string Qore::Xml::makeFormattedXMLRPCValueString | ( | any | value,
|  | *string | encoding
| ) |  |

Serializes the arguments into an XML string in XML-RPC value format with whitespace formatting but without an XML header.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  value | the value to serialize to XML-RPC format
  encoding | an optional string giving the encoding for the output XML string; if this parameter is missing, the output string will have the default encoding

Returns
  if the value argument is NOTHING, then NOTHING is returned, otherwise an XML string in XML-RPC value format with whitespace formatting but without an XML header is returned

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_value(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCCallString()

string Qore::Xml::makeXMLRPCCallString | ( | string | method,
|  |  | ...
| ) |  |

Serializes the argument into an XML string in XML-RPC call format without whitespace formatting.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  method | the method name for the XML-RPC call Additional arguments are serialized according to the default XML-RPC serialization rules

Returns
  an XML string in XML-RPC call format in the default encoding, without whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCCallStringArgs()

string Qore::Xml::makeXMLRPCCallStringArgs | ( | string | method,
|  | any | args
| ) |  |

Serializes the argument into an XML string in XML-RPC call format without whitespace formatting.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  method | the method name for the XML-RPC call
  args | a single argument or a list of arguments to the call

Returns
  an XML string in XML-RPC call format in the default encoding, without whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCCallStringArgsWithEncoding()

string Qore::Xml::makeXMLRPCCallStringArgsWithEncoding | ( | string | encoding,
|  | string | method,
|  | any | args
| ) |  |

Serializes the argument into an XML string in XML-RPC call format without whitespace formatting with an explicit encoding.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string
  method | the method name for the XML-RPC call
  args | a single argument or a list of arguments to the call

Returns
  a string in XML-RPC call format in the encoding given by the first argument, without whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCCallStringWithEncoding()

string Qore::Xml::makeXMLRPCCallStringWithEncoding | ( | string | encoding,
|  | string | method,
|  |  | ...
| ) |  |

Serializes the argument into an XML string in XML-RPC call format without whitespace formatting with an explicit encoding.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string
  method | the method name for the XML-RPC call

Additional arguments are serialized according to the default XML-RPC serialization rules

Returns
  an XML string in XML-RPC call format in the encoding given by the first argument, without whitespace formatting

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCFaultResponseString()

string Qore::Xml::makeXMLRPCFaultResponseString | ( | softint | code,
|  | string | msg
| ) |  |

Serializes the argument into an XML string in XML-RPC fault response format without whitespace formatting.

Code Flags:
  CONSTANT, DEPRECATED

Parameters

  code | the fault code for the response; will be converted to an integer (stored under key `'faultCode'` as an int)
  msg | the fault message string; the encoding of this argument will define the output encoding of the fault string returned (stored under key `'faultString'` as a string)

Returns
  a string in XML-RPC fault format in the same encoding as given by the msg argument, without whitespace formatting

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_fault(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCFaultResponseStringWithEncoding()

string Qore::Xml::makeXMLRPCFaultResponseStringWithEncoding | ( | string | encoding,
|  | softint | code,
|  | string | msg
| ) |  |

Serializes the argument into an XML string in XML-RPC fault response format without whitespace formatting with an explicit output encoding.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string
  code | the fault code for the response; will be converted to an integer (stored under key `'faultCode'` as an int)
  msg | the fault message string (stored under key `'faultString'` as a string)

Returns
  a string in XML-RPC fault format in the encoding given by the first argument, without whitespace formatting

Exceptions

  ENCODING-CONVERSION-ERROR | error converting message string to specified output encoding

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_fault(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCResponseString()

string Qore::Xml::makeXMLRPCResponseString | ( |  | ... | ) |

Serializes the arguments into an XML string formatted for an XML-RPC response without whitespace formatting.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Any top-level arguments to the function will be serialized as the top-level params of the response message

Returns
  a string in XML-RPC response format; the encoding of the resulting string will always be the default encoding

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_response(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCResponseStringWithEncoding()

string Qore::Xml::makeXMLRPCResponseStringWithEncoding | ( | string | encoding,
|  |  | ...
| ) |  |

Serializes the arguments into an XML string formatted for an XML-RPC response without whitespace formatting and with an explicit output encoding.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  encoding | a string giving the output encoding for the resulting XML string Any top-level arguments after the first argument will be serialized as the top-level params of the response message

Returns
  a string in XML-RPC response format; the encoding will be that given by the first argument

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_response(); camel-case function names were deprecated in xml 1.3

## makeXMLRPCValueString()

*string Qore::Xml::makeXMLRPCValueString | ( | any | value,
|  | *string | encoding
| ) |  |

Serializes the arguments into an XML string in XML-RPC value format without whitespace formatting and without an XML header.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  value | the value to serialize to XML-RPC format
  encoding | an optional string giving the encoding for the output XML string; if this parameter is missing, the output string will have the default encoding

Returns
  if the value argument is NOTHING, then NOTHING is returned, otherwise an XML string in XML-RPC value format without whitespace formatting and without an XML header is returned

Exceptions

  XMLRPC-SERIALIZATION-ERROR | empty member name in hash or cannot serialize type to XML-RPC (ex: object)

See also
  XML-RPC

Deprecated:
  use make_xmlrpc_value(); camel-case function names were deprecated in xml 1.3

## parse_xmlrpc_call()

hash Qore::Xml::parse_xmlrpc_call | ( | string | xml,
|  | *string | encoding
| ) |  |

Deserializies an XML-RPC call string, returning a Qore data structure representing the call information.

Code Flags:
  RET_VALUE_ONLY

Parameters

  xml | the XML string in XML-RPC call format to deserialize
  encoding | an optional string giving the string encoding of any strings output; if this parameter is missing, the any strings output in the output hash will have the default encoding

Returns
  a hash representing the XML-RPC call with the following keys:
  - `methodName:` the name of the method being called
  - `params:` the arguments to the method

Exceptions

  PARSE-XMLRPC-CALL-ERROR | missing 'methodCall' or 'methodName' element or other syntax error
  PARSE-XMLRPC-ERROR | syntax error parsing XML-RPC string

Example:
  hash h = parse_xmlrpc_call(xml);

See also
  XML-RPC

Since
  xml 1.3 as a replacement for deprecated camel-case parseXMLRPCCall()

## parse_xmlrpc_response()

hash Qore::Xml::parse_xmlrpc_response | ( | string | xml,
|  | *string | encoding
| ) |  |

Deserializies an XML-RPC response string, returning a Qore data structure representing the response information.

Code Flags:
  RET_VALUE_ONLY

Parameters

  xml | the XML string in XML-RPC call format to deserialize
  encoding | an optional string giving the string encoding of any strings output; if this parameter is missing, the any strings output in the output hash will have the default encoding

Returns
  a hash with one of the following keys:
  - `fault:` a hash describing a fault response
  - `params:` a hash describing a normal, non-fault response

Exceptions

  PARSE-XMLRPC-RESPONSE-ERROR | missing required element or other syntax error
  PARSE-XMLRPC-ERROR | syntax error parsing XML-RPC string

Example:
  hash h = parse_xmlrpc_response(xml);

See also
  XML-RPC

Since
  xml 1.3 as a replacement for deprecated camel-case parseXMLRPCResponse()

## parse_xmlrpc_value()

any Qore::Xml::parse_xmlrpc_value | ( | string | xml,
|  | *string | encoding
| ) |  |

Deserializies an XML-RPC value string and returns a Qore data structure representing the information.

Code Flags:
  RET_VALUE_ONLY

Parameters

  xml | the XML string in XML-RPC value format to deserialize
  encoding | an optional string giving the string encoding of any strings output; if this parameter is missing, the any strings output in the output hash will have the default encoding

Returns
  the Qore value corresponding to the XML-RPC value string

Exceptions

  PARSE-XMLRPC-ERROR | syntax error parsing XML-RPC string

Example:
  any data = parse_xmlrpc_value(xml);

See also
  XML-RPC

Since
  xml 1.3 as a replacement for deprecated camel-case parseXMLRPCValue()

## parseXMLRPCCall() [1/2]

hash Qore::Xml::parseXMLRPCCall | ( | string | xml,
|  | *string | encoding
| ) |  |

Deserializies an XML-RPC call string, returning a Qore data structure representing the call information.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  xml | the XML string in XML-RPC call format to deserialize
  encoding | an optional string giving the string encoding of any strings output; if this parameter is missing, the any strings output in the output hash will have the default encoding

Returns
  a hash representing the XML-RPC call with the following keys:
  - `methodName:` the name of the method being called
  - `params:` the arguments to the method

Exceptions

  PARSE-XMLRPC-CALL-ERROR | missing 'methodCall' or 'methodName' element or other syntax error
  PARSE-XMLRPC-ERROR | syntax error parsing XML-RPC string

See also
  XML-RPC

Deprecated:
  use parse_xmlrpc_call(); camel-case function names were deprecated in xml 1.3

## parseXMLRPCCall() [2/2]

nothing Qore::Xml::parseXMLRPCCall | ( |  | ) |

This is a variant that is basically a noop, included for backwards-compatibility for functions that ignored type errors in the calling parameters.

Code Flags:
  RUNTIME_NOOP, DEPRECATED

## parseXMLRPCResponse() [1/2]

hash Qore::Xml::parseXMLRPCResponse | ( | string | xml,
|  | *string | encoding
| ) |  |

Deserializies an XML-RPC response string, returning a Qore data structure representing the response information.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  xml | the XML string in XML-RPC call format to deserialize
  encoding | an optional string giving the string encoding of any strings output; if this parameter is missing, the any strings output in the output hash will have the default encoding

Returns
  a hash with one of the following keys:
  - `fault:` a hash describing a fault response
  - `params:` a hash describing a normal, non-fault response

Exceptions

  PARSE-XMLRPC-RESPONSE-ERROR | missing required element or other syntax error
  PARSE-XMLRPC-ERROR | syntax error parsing XML-RPC string

See also
  XML-RPC

Deprecated:
  use parse_xmlrpc_response(); camel-case function names were deprecated in xml 1.3

## parseXMLRPCResponse() [2/2]

nothing Qore::Xml::parseXMLRPCResponse | ( |  | ) |

This is a variant that is basically a noop, included for backwards-compatibility for functions that ignored type errors in the calling parameters.

Code Flags:
  RUNTIME_NOOP, DEPRECATED

## parseXMLRPCValue() [1/2]

any Qore::Xml::parseXMLRPCValue | ( | string | xml,
|  | *string | encoding
| ) |  |

Deserializies an XML-RPC value string and returns a Qore data structure representing the information.

Code Flags:
  RET_VALUE_ONLY, DEPRECATED

Parameters

  xml | the XML string in XML-RPC value format to deserialize
  encoding | an optional string giving the string encoding of any strings output; if this parameter is missing, the any strings output in the output hash will have the default encoding

Returns
  the Qore value corresponding to the XML-RPC value string

Exceptions

  PARSE-XMLRPC-ERROR | syntax error parsing XML-RPC string

See also
  XML-RPC

Deprecated:
  use parse_xmlrpc_value(); camel-case function names were deprecated in xml 1.3

## parseXMLRPCValue() [2/2]

nothing Qore::Xml::parseXMLRPCValue | ( |  | ) |

This is a variant that is basically a noop, included for backwards-compatibility for functions that ignored type errors in the calling parameters.

Code Flags:
  RUNTIME_NOOP, DEPRECATED